v.extract(1)

NAME
v.extract - Selects vector objects from an existing vector map and creates a new map containing only the selected objects. If 'list', 'file' and 'where' options are not specified, all features of given type and layer are extracted, categories are not changed in that case.

KEYWORDS
vector

SYNOPSIS
v.extract
v.extract help
v.extract [-dt] input=name output=name [type=string[,string,...]] [layer=integer] [new=integer] [list=range[,range,...]] [file=string] [where=sql_query] [--overwrite]

  Flags:

-d  Dissolve common boundaries (default is no)

-t  Do not copy table (see also 'new' parameter)

--overwrite

  Parameters:

input=name
    Name of input vector map

output=name
    Name for output vector map

type=string[,string,...]
    Types to be extracted Options: point,line,boundary,centroid,area,face Default: point,line,boundary,centroid,area,face

layer=integer
    Layer number. If -1, all features in all layers of given type are extracted. Default: 1

new=integer
    Enter -1 to keep original categories or the desired NEW category value. If new >= 0, table is not copied. Default: -1

list=range[,range,...]
    Category ranges: e.g. 1,3-8,13

file=string
    Input text file with category numbers/number ranges to be extracted

where=sql_query
    WHERE conditions of SQL statement without 'where' keyword. (example: income = 10000)

DESCRIPTION
v.extract allows a user to select vector objects from an existing vector map and creates a new map containing only the selected objects. Database tables can be queried with SQL statements, if a connection is established. Dissolving (optional) is based on the output categories. If 2 adjacent areas have the same output category, the boundary is removed.

NOTES
Only features with a category number will be extracted. So if you want to extract boundaries (which are usually without category, as that information is normally held in the area's centroid) you must first use v.category to add them.

EXAMPLES

  Extract areas by category number with dissolving #1:
v.extract -d list=1,2,3,4 input=soils output=soil_groupa type=area new=0

produces a new vector soil_groupa, containing those areas from vector soils which have category numbers 1 thru 4; any common boundaries are dissolved, and all areas in the new map will be assigned category number 0.

  Extract areas by category number with dissolving #2:
v.extract -d list=1-4 input=soils output=soil_groupa type=area new=-1

produces a new vector map soil_groupa containing the areas from vector soils which have categories 1 thru 4. Any common boundaries are dissolved, all areas in the new map will retain their original category numbers 1 thru 4, since new was set to -1.

  Extract all areas and assign the same category to all:
v.extract input=soils output=soil_groupa type=area new=1

produces a new vector map soil_groupa containing all areas from soils. No common boundaries are dissolved, all areas of the new map will be assigned category number 1.

  Extract vectors with SQL:
v.extract input=markveggy.shp output=markveggy.1 new=13 where="(VEGTYPE = 'Wi') or (VEGTYPE = 'PS') or (PRIME_TYPE='Wi')"

produces a new vector map with category number 13 if the SQL statement is fulfilled.

  Extract vector features which have the given field empty:
v.extract input=forest output=forest_gaps where="CANOPY is NULL"

  Extract vector features which have the given field not empty:
v.extract input=forest output=forest_canopy where="CANOPY not NULL"

  Dissolving based on column attributes:
# check column names:
v.info -c polbnda_italy
# reclass based on desired column:
v.reclass polbnda_italy out=polbnda_italy_recl_nam col=vmap_nam
# verify:
v.info -c polbnda_italy_recl_nam
v.db.select polbnda_italy_recl_nam
# dissolve:
v.extract -d polbnda_italy_recl_nam out=pol_italy_regions

produces a new vector map with common boundaries dissolved where the reclassed attributes of adjacent (left/right) areas are identical.

  Remove islands from polygon map
v.extract in=map_with_islands out=maps_without_islands list=1-99999
# and/or
v.extract -d in=map_with_islands out=maps_without_islands

SEE ALSO
v.category, v.reclass, GRASS SQL interface

AUTHOR
R.L. Glenn, USDA, SCS, NHQ-CGIS

Last changed: $Date: 2006/10/31 19:16:26 $

Full index